×
Blue Eagle 1.5.2 Released (11 Dec 2018)

The Kunena team has announce the arrival of Kunena Blue Eagle 1.5.2 which is now available for download as a native Joomla extension for Kunena 5.1. This version addresses most of the issues that were discovered in K 1.5.1 and issues discovered during the development stages of K 1.5.2.

× Topics must relate to a currently supported version of Kunena. If you are unsure what is the current supported version of Kunena, please go to the download page.

If you are having problems then, for your own benefit, it would save us all a lot of time if you would kindly post your configuration report when you ask for help from this forum. If you do not post your configuration report we will not ask you for it but you will probably not get your problem solved, either.

Solved Upgrading From Kunnea 2.04 to the Latest

More
1 year 6 months ago #1 by Bigbunny
I have done a search on the Forum and documentation but have not found an answer to this. If anybody can help with advise it will be greatly appreciated.


The site is on 2.5.28 with Kunena 2.04. We want to upgrade to Joomla 3.7.X and the latest Kunena. So what is the correct way to go?

Upgrade to 5.09 incrementally by version and then upgrade to J3

Upgrade so far incrementally, upgrade to J3, and then continue incrementally to the latest. (If so what version of Kunnena to change from J2.5 to J3?)

Upgrade to J3 and then upgrade Kunena incrementally from Kunena 2.04


Am I right in saying that the existing Kunena versions have to be completely uninstalled before the next version is installed?

Assuming that I am right regarding incremental upgrades is there an archive of earlier versions?

I have got a local instance of the site and forum to test on.

Please Log in or Create an account to join the conversation.

More
1 year 5 months ago #2 by rich
1. Create a database backup from all Kunena tables
2. Disable or uninstall all old extensions wwhich not running with Joomla 3.x
3. Upgrade your Joomla
4. Install the current Kunena version over the old version

Am I right in saying that the existing Kunena versions have to be completely uninstalled before the next version is installed?

No, see point 4

Assuming that I am right regarding incremental upgrades is there an archive of earlier versions?

Yes, the old versions are archived, but you don't need it.

Here are the minimum requirements for Kunena 5.x
docs.kunena.org/en/requirements

Please Log in or Create an account to join the conversation.

More
1 year 5 months ago #3 by Bigbunny
Many thanks for that information.

It's going to be a lot easier than I thought, and regarding the minimum requirements they are already exceeded.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to add attachements.
  • Not Allowed: to edit your message.
Time to create page: 0.095 seconds